#!/bin/bash
################################
#### script to run example with simulated data
################################
#### required R-packages installation (order important due to dependency)
echo -e "installing required R packages \n"
R CMD INSTALL ./combinat_0.0-8.tar.gz 
R CMD INSTALL ./gtools_3.4.1.tar.gz
R CMD INSTALL ./gdata_2.13.3.tar.gz   
R CMD INSTALL ./bitops_1.0-6.tar.gz
R CMD INSTALL ./caTools_1.17.1.tar.gz
R CMD INSTALL ./gplots_2.14.1.tar.gz 
echo -e "\ninstallation done \n"
################################

################################
#### compile .cpp files in the source sub-directory
cd ./source
echo -e "compiling cpp codes\n"
R CMD SHLIB BayClone2.cpp
R CMD SHLIB BayClone2_post.cpp 
echo -e "\ncompilation done \n"
################################

################################
#### create sub-directory for result images
cd ..
mkdir img_pdfs
################################

################################
#### go inside simulation sub-directory and run scripts
cd sim
echo -e "\nrunning simulation ...\n"
R CMD BATCH BayClone2_sim1.R
R CMD BATCH BayClone2_sim1_post.R
################################
echo -e "\nsimulation done \n"

################################
#### move the result images to "img_pdf" sub-directory
cd ..
mv ./sim/*.pdf ./img_pdfs

echo -e "plots are saved in \"img_pdf\" sub-directory \n"
################################
